From 3f573c5935d46b20de7e7129cd0bf69abed1df6c Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Mon, 13 May 2024 10:10:21 +0200
Subject: [PATCH 1/3] doc: Remove claims that initdb and pg_ctl use libpq
 environment variables

Erroneously introduced by 571df93cff8.
---
 doc/src/sgml/ref/initdb.sgml     | 6 ------
 doc/src/sgml/ref/pg_ctl-ref.sgml | 7 -------
 2 files changed, 13 deletions(-)

diff --git a/doc/src/sgml/ref/initdb.sgml b/doc/src/sgml/ref/initdb.sgml
index 6c96c0c0681..74008a9a82f 100644
--- a/doc/src/sgml/ref/initdb.sgml
+++ b/doc/src/sgml/ref/initdb.sgml
@@ -632,12 +632,6 @@ <title>Environment</title>
    </varlistentry>
   </variablelist>
 
-  <para>
-   This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
-  </para>
-
  </refsect1>
 
  <refsect1>
diff --git a/doc/src/sgml/ref/pg_ctl-ref.sgml b/doc/src/sgml/ref/pg_ctl-ref.sgml
index 46906966eb9..a0287bb81d6 100644
--- a/doc/src/sgml/ref/pg_ctl-ref.sgml
+++ b/doc/src/sgml/ref/pg_ctl-ref.sgml
@@ -578,13 +578,6 @@ <title>Environment</title>
    unless <envar>PGDATA</envar> is set.
   </para>
 
-  <para>
-   <command>pg_ctl</command>, like most other <productname>PostgreSQL</productname>
-   utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
-  </para>
-
   <para>
    For additional variables that affect the server,
    see <xref linkend="app-postgres"/>.

base-commit: 3ca43dbbb67fbfb96dec8de2e268b96790555148
-- 
2.44.0

